Package org.apache.wiki.api.spi

# Interface ContentsSPI

public interface ContentsSPI
SPI used to locate and provide `Page` and `Attachment` instances.

## Method Summary

Modifier and Type
Method
Description
`Attachment`
`attachment(Engine engine, String parentPage, String fileName)`
Creates a new `Attachment`.
`Page`
`page(Engine engine, String name)`
Creates a `Page` instance.

## Method Details

### attachment

Attachment attachment(Engine engine, String parentPage, String fileName)
Creates a new `Attachment`. The final name of the attachment will be a synthesis of the parent page name and the file name.

Parameters:
  `engine` - The Engine which is hosting this attachment.
  `parentPage` - The page which will contain this attachment.
  `fileName` - The file name for the attachment.
Returns:
  new `Attachment` instance.

### page

Page page(Engine engine, String name)
Creates a `Page` instance.

Parameters:
  `engine` - The Engine that owns this page.
  `name` - The name of the page.
Returns:
  new `Page` instance.